<!DOCTYPE html>
<html lang="en">

<!--
2. Написать скрипт для вывода таблицы умножения через document.writeln().
Размер таблицы умножения (количество строк и колонок) задается пользователем через prompt.
Добавить стилизацию таблицы через css на свое усмотрение.
-->

<head>
    <meta charset="UTF-8">
    <title>Таблица умножения</title>

    <style>
        table, td {
            border: solid 1px;
            border-collapse: collapse;
            padding: 7px;
        }

        td {
            text-align: center;
        }

        tr:nth-child(even) {
            background-color: #a7d7f9;
        }

    </style>
</head>

<body>


<script>
    'use strict';

    function multipl() {
        var rows = prompt("Please enter number of rows");
        var columns = prompt("Please enter number of column");

        document.writeln("<table><tr>");
        for (var i = 1; i <= rows; i++) {

            for (var j = 1; j <= columns; j++) {

                document.write("<td>");
                document.write(j * i);
                document.write("</td>")
            }
            document.write("</tr>");
        }
        document.writeln("</table>");
    }

    multipl();

</script>

</body>
</html>